Package oracle.jdbc

## Enum OracleResultSetMetaData.SecurityAttribute

- java.lang.Object
- - java.lang.Enum<OracleResultSetMetaData.SecurityAttribute>
  - - oracle.jdbc.OracleResultSetMetaData.SecurityAttribute

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OracleResultSetMetaData.SecurityAttribute>`

Enclosing interface:
  OracleResultSetMetaData

    public static enum OracleResultSetMetaData.SecurityAttribute
    extends java.lang.Enum<OracleResultSetMetaData.SecurityAttribute>

eXtensible Data Security (XDS) attribute.

### Enum Constant Summary

Enum Constants
`ENABLED` Column Security policy is enabled for the column.
`NONE` No XDS policy for the column or the policy is not enabled.
`UNKNOWN` The Column Security (XDS) policy for this column is unknown.

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleResultSetMetaData.SecurityAttribute` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OracleResultSetMetaData.SecurityAttribute[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final OracleResultSetMetaData.SecurityAttribute NONE

No XDS policy for the column or the policy is not enabled.

#### ENABLED

    public static final OracleResultSetMetaData.SecurityAttribute ENABLED

Column Security policy is enabled for the column. The value of this column in a `ResultSet` could be marked as unauthorized. If the value is unauthorized, the NULL value is returned.

#### UNKNOWN

    public static final OracleResultSetMetaData.SecurityAttribute UNKNOWN

The Column Security (XDS) policy for this column is unknown. If the data is NULL or truncated for this column at a given row it may be because of some security restrictions.

When the column is for example the union of column which has security attributes and a column which hasn't:

            select C1 || C2 from mytable;

where C1 has security attributes and C2 hasn't. In that case in the `ResultSet` the value could be non-null although the C1 part is null because it's unauthorized.

### Method Detail

#### values

    public static OracleResultSetMetaData.SecurityAttribute[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleResultSetMetaData.SecurityAttribute c : OracleResultSetMetaData.SecurityAttribute.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleResultSetMetaData.SecurityAttribute valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null